OrcProto.RowIndexEntryOrBuilder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Interface OrcProto.RowIndexEntryOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    OrcProto.RowIndexEntry, OrcProto.RowIndexEntry.Builder
  Enclosing class:
    OrcProto

      public static interface OrcProto.RowIndexEntryOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getPositions(int index)` `repeated uint64 positions = 1 [packed = true];`
    `int` | `getPositionsCount()` `repeated uint64 positions = 1 [packed = true];`
    `List<Long>` | `getPositionsList()` `repeated uint64 positions = 1 [packed = true];`
    `OrcProto.ColumnStatistics` | `getStatistics()` `optional .orc.proto.ColumnStatistics statistics = 2;`
    `OrcProto.ColumnStatisticsOrBuilder` | `getStatisticsOrBuilder()` `optional .orc.proto.ColumnStatistics statistics = 2;`
    `boolean` | `hasStatistics()` `optional .orc.proto.ColumnStatistics statistics = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getPositionsList

          List<Long> getPositionsList()

      `repeated uint64 positions = 1 [packed = true];`

    - #### getPositionsCount

          int getPositionsCount()

      `repeated uint64 positions = 1 [packed = true];`

    - #### getPositions

          long getPositions(int index)

      `repeated uint64 positions = 1 [packed = true];`

    - #### hasStatistics

          boolean hasStatistics()

      `optional .orc.proto.ColumnStatistics statistics = 2;`

    - #### getStatistics

          OrcProto.ColumnStatistics getStatistics()

      `optional .orc.proto.ColumnStatistics statistics = 2;`

    - #### getStatisticsOrBuilder

          OrcProto.ColumnStatisticsOrBuilder getStatisticsOrBuilder()

      `optional .orc.proto.ColumnStatistics statistics = 2;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.